[Rainmeter]
Author=Me
BackgroundMode=0
Update=1000
AppVersion=10001

[Variables]
FontColor=13,104,209,255
FontColor2=13,104,209,255
FontFace=BankGothic MD BT
FontFace2=AvantGarde LT Medium




[Tabppp]
Meter=IMAGE
X=0
Y=185
H=60
W=750
Solidcolor=0,0,0,1
Hiden=0
;=======================================================================================
;CPU..... Section
;=======================================================================================

[MeasureCPU0]
Measure=Plugin
Plugin=Perfmon.dll
PerfMonObject="Processor"
PerfMonInstance=0
PerfMonCounter="% Processor Time"
PerfMonDifference=1
InvertMeasure=1

[MeasureCPU1]
Measure=Plugin
Plugin=Perfmon.dll
PerfMonObject="Processor"
PerfMonInstance=1
PerfMonCounter="% Processor Time"
PerfMonDifference=1
InvertMeasure=1

;====================================================
;TAB.....
;====================================================

[Tab]
Meter=IMAGE
X=0
Y=0
ImageName=tab.png
H=200
W=120
Hidden=1
LeftMouseDownAction=!execute [!RainmeterHideMeter tab][!RainmeterHideMeter label][!RainmeterHideMeter label2][!RainmeterHideMeter CPU0Graph1][!RainmeterHideMeter CPU1Graph1][!RainmeterHideMeter CPU0LAbel][!RainmeterHideMeter CPU0Usage][!RainmeterHideMeter CPU1Label][!RainmeterHideMeter CPU1Usage][!RainmeterRedraw]

[Label]
Meter=STRING
X=60
Y=185
FontFace=#FontFace#
FontColor=0,70,226,255
FontSize=11
StringAlign=CENTER
StringEffect=SHADOW
StringStyle=Bold
AntiAlias=1
Text=CPU 
Hidden=1

[Label2]
Meter=STRING
X=40
Y=5
FontFace=#FontFace#
FontColor=13,104,209,255
FontSize=8
StringAlign=CENTER
StringStyle=BOLD
StringEffect=SHADOW
AntiAlias=1
Text=Процессор
Hidden=1

;====================================================
;TAB Info.....
;====================================================

[CPU0Graph1]
Meter=Line
MeasureName=MeasureCPU0
X=500
Y=21
H=50
W=110
LineCount=1
LineColor=0,0,0,1
AntiAlias=1
Hidden=1

[CPU0Label]
Meter=STRING
X=3
Y=50r
FontColor=13,104,209,255
StringStyle=NORMAL
FontSize=7
StringAlign=LEFT
StringEffect=Shadow
StringStyle=Bold
FontFace=#FontFace#
Text="CPU 1"
AntiAlias=1
Hidden=1

[CPU0Usage]
MeasureName=MeasureCPU0
Meter=STRING
X=117
Y=r
FontColor=13,104,209,255
StringStyle=Bold
FontSize=7
StringAlign=RIGHT
StringEffect=Shadow
FontFace=#FontFace#
Text="%1%"
AntiAlias=1
Percentual=1
AutoScale=1
Hidden=1

;[CPU2]================================

[CPU1Graph1]
Meter=Line
MeasureName=MeasureCPU1
X=500
Y=85
H=50
W=110
LineCount=1
LineColor=13,104,209,255
AntiAlias=1
Hidden=1

[CPU1Label]
Meter=STRING
X=3
Y=50r
FontColor=13,104,209,255
StringStyle=NORMAL
FontSize=7
StringAlign=LEFT
StringEffect=Shadow
StringStyle=Bold
FontFace=#FontFace#
Text="CPU 2"
AntiAlias=1
Hidden=1

[CPU1Usage]
MeasureName=MeasureCPU1
Meter=STRING
X=117
Y=r
FontColor=13,104,209,255
StringStyle=Bold
FontSize=7
StringAlign=RIGHT
StringEffect=Shadow
FontFace=#FontFace#
Text="%1%"
AntiAlias=1
Percentual=1
AutoScale=1
Hidden=1

;====================================================
;Main Info.....
;====================================================

[Drag]
Meter=IMAGE
SolidColor=0,0,0,1
X=745
Y=205
H=25
W=20

[Open]
Meter=IMAGE
SolidColor=0,0,0,1
X=0
Y=205
H=25
W=120
LeftMouseDownAction=!execute [!RainmeterShowMeter tab][!RainmeterShowMeter label][!RainmeterShowMeter label2][!RainmeterShowMeter CPU0Graph1][!RainmeterShowMeter CPU1Graph1][!RainmeterShowMeter CPU0LAbel][!RainmeterShowMeter CPU0Usage][!RainmeterShowMeter CPU1Label][!RainmeterShowMeter CPU1Usage][!RainmeterRedraw]



[MeasureCPU0%]
MeasureName=MeasureCPU0
Meter=STRING
Percentual=1
X=1
Y=203
FontColor=13,104,209,255
StringStyle=Bold
FontSize=9
StringAlign=LEFT
FontFace=#FontFace#
NumOfDecimals=1
Text="CPU1: %1%"
AntiAlias=1
StringEffect=Shadow



[MeasureCPU1%]
MeasureName=MeasureCPU1
Meter=STRING
Percentual=1
X=1
Y=216
FontColor=13,104,209,255
StringStyle=Bold
FontSize=9
StringAlign=LEFT
FontFace=#FontFace#
NumOfDecimals=1
Text="CPU2: %1%"
AntiAlias=1
StringEffect=Shadow


;=======================================================================================
;Resources...... Section
;=======================================================================================

[MeasurePhysMemTotal]
Measure=PhysicalMemory
Total=1
UpdateDivider=2

[MeasurePhysMemUsed]
Measure=PhysicalMemory
UpdateDivider=2

[MeasurePhysMemFree]
Measure=PhysicalMemory
InvertMeasure=1
UpdateDivider=2

[MeasureTotalRAM]
Measure=PhysicalMemory
Total=1

[MeasureRAM]
Measure=PhysicalMemory

[MeasureRAMx]
Measure=PhysicalMemory
Percentual=1
AutoScale=1

[MeasureSWAP]
Measure=SWAPMemory

[MeasureTotalSWAP]
Measure=SWAPMemory
Total=1

[MeasureCPUMHz]
Measure=Plugin
Plugin=Plugins\PowerPlugin.dll
PowerState=MHZ
UpdateDivider=30
MinValue=0
MaxValue=2000

;====================================================
;TAB.....
;====================================================
[TotalRAM]
MeasureName=MeasureTotalRAM
Meter=STRING
X=129
Y=31
FontFace=#FontFace#
FontColor=13,104,209,255
FontSize=7
StringAlign=LEFT
StringStyle=BOLD
StringEffect=SHADOW
AntiAlias=1
Text="Всего %1B"
AutoScale=1
Hidden=1

[RAM]
Meter=STRING
MeasureName=MeasureRAM
X=242
Y=17r
FontFace=#FontFace#
FontColor=13,104,209,255
FontSize=7
StringAlign=RIGHT
StringStyle=BOLD
StringEffect=SHADOW
AntiAlias=1
StringAlign=RIGHT
Text="Употребление %1B"
AutoScale=1
NumOfDecimals=1
Hidden=1

[RAMBarMeter]
MeasureName=MeasurePhysMemUsed
Meter=BAR
X=130
Y=43
W=110
H=4
BarOrientation=HORIZONTAL
BarColor=13,104,209,255
Flip=0
Hidden=1

[RAMBarBG]
Meter=IMAGE
X=130
Y=r
W=110
H=4
SolidColor=13,104,209,255
Hidden=1
[tab2]
Meter=IMAGE
X=125
Y=0
ImageName=tab2.png
H=200
W=120
Hidden=1
LeftMouseDownAction=!execute [!RainmeterHideMeter tab2][!RainmeterHideMeter label3][!RainmeterHideMeter label4][!RainmeterHideMeter label5][!RainmeterHideMeter label6][!RainmeterHideMeter RamBarMeter][!RainmeterHideMeter RamBarBg][!RainmeterHideMeter TotalSWAP][!RainmeterHideMeter SWAP][!RainmeterHideMeter SWAPBarBg][!RainmeterHideMeter SWAPBarMeter][!RainmeterHideMeter TotalRam][!RainmeterHideMeter RAM][!RainmeterHideMeter MeterCPUMHz3][!RainmeterHideMeter ClockBarBg][!RainmeterHideMeter MeterMHz4][!RainmeterRedraw]

[Label3]
Meter=STRING
X=185
Y=185
FontFace=#FontFace#
FontColor=13,104,209,255
FontSize=11
StringAlign=CENTER
StringEffect=SHADOW
StringStyle=Bold
AntiAlias=1
Text=Ресурсы
Hidden=1

[Label4]
Meter=STRING
X=128
Y=5
FontFace=#FontFace#
FontColor=13,104,209,255
FontSize=8
StringAlign=LEFT
StringStyle=BOLD
StringEffect=SHADOW
AntiAlias=1
Text=Физическая память
Hidden=1

[Label5]
Meter=STRING
X=128
Y=70
FontFace=#FontFace#
FontColor=13,104,209,255
FontSize=8
StringAlign=LEFT
StringStyle=BOLD
StringEffect=SHADOW
AntiAlias=1
Text=Swap память
Hidden=1

[Label6]
Meter=STRING
X=128
Y=133
FontFace=#FontFace#
FontColor=13,104,209,255
FontSize=8
StringAlign=LEFT
StringStyle=BOLD
StringEffect=SHADOW
AntiAlias=1
Text=Тактовая чистота
Hidden=1

;====================================================
;TAB Info.....
;====================================================


;[SWAP MEMORY]================================

[TotalSWAP]
MeasureName=MeasureTotalSWAP
Meter=STRING
X=129
Y=90
FontFace=#FontFace#
FontColor=13,104,209,255
FontSize=7
StringAlign=LEFT
StringStyle=BOLD
StringEffect=SHADOW
AntiAlias=1
Text="Всего %1B"
AutoScale=1
Hidden=1

[SWAP]
Meter=STRING
MeasureName=MeasureSWAP
X=242
Y=17r
FontFace=#FontFace#
FontColor=13,104,209,255
FontSize=7
StringAlign=RIGHT
StringStyle=BOLD
StringEffect=SHADOW
AntiAlias=1
Text="Употребление %1B"
AutoScale=1
NumOfDecimals=1
Hidden=1

[SWAPBarBG]
Meter=IMAGE
X=130
Y=102
W=110
H=4
SolidColor=13,104,209,255
Hidden=1

[SWAPBarMeter]
MeasureName=MeasureSWAP
Meter=BAR
X=0r
Y=r
W=110
H=4
BarOrientation=HORIZONTAL
BarColor=13,104,209,255
Flip=0
Hidden=1

;[Clock Speed]================================

[MeterCPUMHz3]
Meter=bar
MeasureName=MeasureCPUMHz
Percentual=1
X=130
Y=165
H=4
W=110
BarColor=13,104,209,255
BarOrientation=HORIZONTAL
Hidden=1

[ClockBarBG]
Meter=IMAGE
X=0r
Y=r
W=110
H=4
SolidColor=13,104,209,255
Hidden=1

[MeterMHz4]
Meter=STRING
MeasureName=MeasureCPUMHz
X=129
Y=153
FontColor=13,104,209,255
FontSize=7
FontFace=#FontFace#
AntiAlias=1
StringEffect=Shadow
StringStyle=Bold
Text="%1 MHz"
Hidden=1

;====================================================
;Main Info.....
;====================================================

[Open2]
Meter=IMAGE
SolidColor=0,0,0,1
X=125
Y=205
H=25
W=120
LeftMouseDownAction=!execute [!RainmeterShowMeter tab2][!RainmeterShowMeter Label3][!RainmeterShowMeter Label4][!RainmeterShowMeter Label5][!RainmeterShowMeter Label6][!RainmeterShowMeter RamBarMeter][!RainmeterShowMeter RamBarBg][!RainmeterShowMeter TotalSWAP][!RainmeterShowMeter SWAP][!RainmeterShowMeter SWAPBarBg][!RainmeterShowMeter SWAPBarMeter][!RainmeterShowMeter TotalRam][!RainmeterShowMeter RAM][!RainmeterShowMeter MeterCPUMHz3][!RainmeterShowMeter ClockBarBg][!RainmeterShowMeter MeterMHz4][!RainmeterRedraw]



[MeterUsedPhysMemText%]
MeasureName=MeasurePhysMemUsed
Meter=STRING
X=0r
Y=203
FontFace=#FontFace#
FontColor=13,104,209,255
FontSize=9
StringAlign=LEFT
StringStyle=BOLD
StringEffect=SHADOW
AntiAlias=1
Text="RAM: %1%"
Percentual=1
AutoScale=1
StringEffect=Shadow


[MeterMHz]
Meter=STRING
MeasureName=MeasureCPUMHz
X=124
Y=216
FontColor=13,104,209,255
FontSize=9
FontFace=#FontFace#
AntiAlias=1
StringEffect=Shadow
StringStyle=Bold
Text="%1 MHz"




